Subject: :arrow_up::one::two:
Author: ommo73
Committer: ommo73

Date Level Type Message
2019-07-19 09:28:25 INFO runbot init Init build environment
2019-07-19 09:28:25 INFO runbot checkout ignore repo "misc-addons" as all modules are already in addons-dev branch
2019-07-19 09:28:25 INFO runbot checkout closest branch for odoo/odoo is refs/heads/12.0
2019-07-19 09:28:25 INFO runbot checkout closest branch for it-projects-llc/web is refs/heads/12.0
2019-07-19 09:28:25 INFO runbot checkout closest branch for it-projects-llc/website-addons is refs/heads/12.0
2019-07-19 09:28:25 INFO runbot checkout closest branch for it-projects-llc/pos-addons is refs/heads/12.0
2019-07-19 09:28:25 INFO runbot checkout closest branch for it-projects-llc/l10n-addons is refs/heads/12.0
2019-07-19 09:28:25 INFO runbot checkout closest branch for it-projects-llc/access-addons is refs/heads/12.0
2019-07-19 09:28:25 INFO runbot checkout closest branch for it-projects-llc/mail-addons is refs/heads/12.0
2019-07-19 09:28:25 INFO runbot checkout closest branch for it-projects-llc/rental-addons is master
2019-07-19 09:28:25 INFO runbot checkout closest branch for it-projects-llc/website is master
2019-07-19 09:28:25 INFO runbot checkout closest branch for it-projects-llc/hr is refs/heads/12.0
2019-07-19 09:28:25 INFO runbot checkout closest branch for it-projects-llc/reporting-engine is master
2019-07-19 09:28:25 INFO runbot checkout closest branch for OCA/event is refs/heads/12.0
2019-07-19 09:28:25 INFO runbot checkout closest branch for OCA/partner-contact is refs/heads/12.0
2019-07-19 09:28:25 INFO runbot checkout modules to install: [u'backend_theme_v12']
2019-07-19 09:29:11 INFO runbot check_branch_name success
2019-07-19 09:29:14 INFO runbot test_base Test Updated and explicit modules
2019-07-19 09:29:14 INFO runbot _install_and_test DB: 01651-673-d28714-base, Modules: backend_theme_v12
2019-07-19 09:29:50 INFO runbot pylint_script Start pylint script
2019-07-19 09:29:50 INFO runbot pylint_script No config file detected
2019-07-19 09:30:07 INFO runbot test_all Testing all modules is not configured for this repo
2019-07-19 09:30:07 INFO runbot run Start running build 01651-673-d28714
2019-07-19 09:31:15 WARNING server py.warnings:99 _showwarnmsg
/usr/local/lib/python3.6/site-packages/werkzeug/filesystem.py:63: BrokenFilesystemWarning: Detected a misconfigured UNIX filesystem: Will use UTF-8 as filesystem encoding instead of 'ascii'
  BrokenFilesystemWarning)
2019-07-19 09:31:15 ERROR server werkzeug:87 _log
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 205, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 193, in execute
    application_iter = app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/service/wsgi_server.py", line 128, in application
    return application_unproxied(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/service/wsgi_server.py", line 117, in application_unproxied
    result = odoo.http.root(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1320, in __call__
    return self.dispatch(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1293, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/wsgi.py", line 599, in __call__
    return self.app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1488, in dispatch
    result = ir_http._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/web_editor/models/ir_http.py", line 22, in _dispatch
    return super(IrHttp, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_http.py", line 207, in _dispatch
    return cls._handle_exception(e)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_http.py", line 177, in _handle_exception
    return request._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 776, in _handle_exception
    return super(HttpRequest, self)._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 314, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_http.py", line 203, in _dispatch
    result = request.dispatch()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 835, in dispatch
    r = self._call_function(**self.params)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 346, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 342, in checked_call
    result.flatten()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1270, in flatten
    self.response.append(self.render())
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1263, in render
    return env["ir.ui.view"].render_template(self.template, self.qcontext)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_ui_view.py", line 1284, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_ui_view.py", line 1293, in render
    return self.env[engine].render(self.id, qcontext)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_qweb.py", line 59, in render
    result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 348, in _compiled_fn
    raise e
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 346, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_173_5
    
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 353, in _compiled_fn
    raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
odoo.addons.base.models.qweb.QWebException: module 'sass' has no attribute 'compile'
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7f749c593378>, 'web.assets_common', 'ru_RU', True, False, False, False, (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 346, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_web_login_layout_11
  File "<template>", line 2, in body_call_content_10
  File "<template>", line 4, in set_8
  File "<decorator-gen-56>", line 2, in _get_asset_nodes
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_qweb.py", line 308, in _get_asset_nodes
    return remains + asset.to_node(css=css, js=js, debug=debug, async_load=async_load)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 159, in to_node
    css_attachments = self.css() or []
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 334, in css
    css = self.preprocess_css()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 442, in preprocess_css
    compiled += self.compile_css(assets[0].compile, source)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 509, in compile_css
    compiled = compiler(source)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 864, in compile
    return libsass.compile(
AttributeError: module 'sass' has no attribute 'compile'

Error to render compiling AST
AttributeError: module 'sass' has no attribute 'compile'
Template: web.login_layout
Path: /templates/t/t/t[2]/t[1]
Node: <t t-call-assets="web.assets_common" t-js="false"/>
2019-07-19 09:38:30 ERROR server werkzeug:87 _log
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 205, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 193, in execute
    application_iter = app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/service/wsgi_server.py", line 128, in application
    return application_unproxied(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/service/wsgi_server.py", line 117, in application_unproxied
    result = odoo.http.root(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1320, in __call__
    return self.dispatch(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1293, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/wsgi.py", line 599, in __call__
    return self.app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1488, in dispatch
    result = ir_http._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/web_editor/models/ir_http.py", line 22, in _dispatch
    return super(IrHttp, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_http.py", line 207, in _dispatch
    return cls._handle_exception(e)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_http.py", line 177, in _handle_exception
    return request._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 776, in _handle_exception
    return super(HttpRequest, self)._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 314, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_http.py", line 203, in _dispatch
    result = request.dispatch()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 835, in dispatch
    r = self._call_function(**self.params)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 346, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 342, in checked_call
    result.flatten()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1270, in flatten
    self.response.append(self.render())
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1263, in render
    return env["ir.ui.view"].render_template(self.template, self.qcontext)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_ui_view.py", line 1284, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_ui_view.py", line 1293, in render
    return self.env[engine].render(self.id, qcontext)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_qweb.py", line 59, in render
    result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 348, in _compiled_fn
    raise e
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 346, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_173_5
    
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 353, in _compiled_fn
    raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
odoo.addons.base.models.qweb.QWebException: module 'sass' has no attribute 'compile'
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7f749c593378>, 'web.assets_common', 'ru_RU', True, False, False, False, (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 346, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_web_login_layout_11
  File "<template>", line 2, in body_call_content_10
  File "<template>", line 4, in set_8
  File "<decorator-gen-56>", line 2, in _get_asset_nodes
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_qweb.py", line 308, in _get_asset_nodes
    return remains + asset.to_node(css=css, js=js, debug=debug, async_load=async_load)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 159, in to_node
    css_attachments = self.css() or []
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 334, in css
    css = self.preprocess_css()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 442, in preprocess_css
    compiled += self.compile_css(assets[0].compile, source)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 509, in compile_css
    compiled = compiler(source)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 864, in compile
    return libsass.compile(
AttributeError: module 'sass' has no attribute 'compile'

Error to render compiling AST
AttributeError: module 'sass' has no attribute 'compile'
Template: web.login_layout
Path: /templates/t/t/t[2]/t[1]
Node: <t t-call-assets="web.assets_common" t-js="false"/>
2019-07-19 09:48:13 WARNING server py.warnings:99 _showwarnmsg
/usr/local/lib/python3.6/site-packages/werkzeug/filesystem.py:63: BrokenFilesystemWarning: Detected a misconfigured UNIX filesystem: Will use UTF-8 as filesystem encoding instead of 'ascii'
  BrokenFilesystemWarning)
2019-07-19 09:48:13 ERROR server werkzeug:87 _log
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 205, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 193, in execute
    application_iter = app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/service/wsgi_server.py", line 128, in application
    return application_unproxied(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/service/wsgi_server.py", line 117, in application_unproxied
    result = odoo.http.root(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1320, in __call__
    return self.dispatch(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1293, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/wsgi.py", line 599, in __call__
    return self.app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1488, in dispatch
    result = ir_http._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/web_editor/models/ir_http.py", line 22, in _dispatch
    return super(IrHttp, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_http.py", line 207, in _dispatch
    return cls._handle_exception(e)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_http.py", line 177, in _handle_exception
    return request._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 776, in _handle_exception
    return super(HttpRequest, self)._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 314, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_http.py", line 203, in _dispatch
    result = request.dispatch()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 835, in dispatch
    r = self._call_function(**self.params)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 346, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 342, in checked_call
    result.flatten()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1270, in flatten
    self.response.append(self.render())
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/http.py", line 1263, in render
    return env["ir.ui.view"].render_template(self.template, self.qcontext)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_ui_view.py", line 1284, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_ui_view.py", line 1293, in render
    return self.env[engine].render(self.id, qcontext)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_qweb.py", line 59, in render
    result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 348, in _compiled_fn
    raise e
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 346, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_173_5
    
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 353, in _compiled_fn
    raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
odoo.addons.base.models.qweb.QWebException: module 'sass' has no attribute 'compile'
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7f749c593378>, 'web.assets_common', 'ru_RU', True, False, False, False, (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/qweb.py", line 346, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_web_login_layout_11
  File "<template>", line 2, in body_call_content_10
  File "<template>", line 4, in set_8
  File "<decorator-gen-56>", line 2, in _get_asset_nodes
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/ir_qweb.py", line 308, in _get_asset_nodes
    return remains + asset.to_node(css=css, js=js, debug=debug, async_load=async_load)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 159, in to_node
    css_attachments = self.css() or []
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 334, in css
    css = self.preprocess_css()
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 442, in preprocess_css
    compiled += self.compile_css(assets[0].compile, source)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 509, in compile_css
    compiled = compiler(source)
  File "/mnt/odoo-extra/runbot/static/build/01651-673-d28714/odoo/addons/base/models/assetsbundle.py", line 864, in compile
    return libsass.compile(
AttributeError: module 'sass' has no attribute 'compile'

Error to render compiling AST
AttributeError: module 'sass' has no attribute 'compile'
Template: web.login_layout
Path: /templates/t/t/t[2]/t[1]
Node: <t t-call-assets="web.assets_common" t-js="false"/>
2019-07-20 10:06:10 INFO runbot kill Kill build 01651-673-d28714